# WARNING!
# This is a development version of THE Bigcapital docker-compose.yml file.
# Avoid using this file in your production environment.
# We're exposing here sensitive ports and mounting code volumes for rapid development and debugging of the server stack.

version: '3.3'

services:
  mariadb:
    build:
      context: ./docker/mariadb
    environment:
      - MYSQL_DATABASE=${SYSTEM_DB_NAME}
      - MYSQL_USER=${DB_USER}
      - MYSQL_PASSWORD=${DB_PASSWORD}
      - MYSQL_ROOT_PASSWORD=${DB_ROOT_PASSWORD}
    volumes:
      - mysql:/var/lib/mysql
    expose:
      - '3306'
    ports:
      - '3306:3306'
    deploy:
      restart_policy:
        condition: unless-stopped

  mongo:
    build: ./docker/mongo
    expose:
      - '27017'
    volumes:
      - mongo:/var/lib/mongodb
    ports:
      - '27017:27017'
    deploy:
      restart_policy:
        condition: unless-stopped

  redis:
    build:
      context: ./docker/redis
    expose:
      - "6379"
    volumes:
      - redis:/data
    deploy:
      restart_policy:
        condition: unless-stopped

  gotenberg:
    image: gotenberg/gotenberg:7
    ports:
      - "9000:3000"

# Volumes
volumes:
  mysql:
    name: bigcapital_dev_mysql
    driver: local

  mongo:
    name: bigcapital_dev_mongo
    driver: local

  redis:
    name: bigcapital_dev_redis
    driver: local